<?php

namespace FiloBlu\ExtAmastyGeoipRedirect\Block;

class PopupMisfits extends \Magento\Framework\View\Element\Template {

    public $_helper;
    protected $scopeConfig;

    public function __construct(
    \Magento\Framework\View\Element\Template\Context $context, \FiloBlu\ExtAmastyGeoipRedirect\Helper\Data $helper, array $data = []
    ) {

        $this->jsLayout = $data['jsLayout'];
        $this->_helper = $helper;
        $this->scopeConfig = $context->getScopeConfig();

        parent::__construct($context, $data);
    }

    public function getConfig() {
        return [
            "misfits_cookie_name" => $this->_helper->getMisfitsCookieName(),
            "cookie_duration" => 2592000,
            "popup_id" => "#popup-geoip-misfits",            
            "btn_continue_geoloc" => "#popup-geoip-misfits-continue-geoloc",            
            "btn_close_advice" => "#popup-geoip-misfits-continue-close-advice",            
            "btn_back" => "#popup-geoip-misfits-back",            
            "language_list_container" => "#language-list-misfits .language-container",
            "language_link" => ".language-link-misfits"
        ];
    }

    protected function _toHtml() {
        if (!$this->scopeConfig->getValue('amgeoipredirect/general/enable', \Magento\Store\Model\ScopeInterface::SCOPE_STORES) || !$this->scopeConfig->getValue('amgeoipredirect/misfits/enable_misfits', \Magento\Store\Model\ScopeInterface::SCOPE_STORES)) {
            return "";
        } else {
            return parent::_toHtml();
        }
    }

}
